GET https://api.ap1.datadoghq.com/api/v2/replay/heatmap/snapshots https://api.ap2.datadoghq.com/api/v2/replay/heatmap/snapshots https://api.datadoghq.eu/api/v2/replay/heatmap/snapshots https://api.ddog-gov.com/api/v2/replay/heatmap/snapshots https://api.us2.ddog-gov.com/api/v2/replay/heatmap/snapshots https://api.uk1.datadoghq.com/api/v2/replay/heatmap/snapshots https://api.datadoghq.com/api/v2/replay/heatmap/snapshots https://api.us3.datadoghq.com/api/v2/replay/heatmap/snapshots https://api.us5.datadoghq.com/api/v2/replay/heatmap/snapshots
Présentation Liste des snapshots de la carte thermique.
Arguments Chaînes de requête Device type to filter snapshots.
filter[view_name] [required ]
View name to filter snapshots.
Maximum number of snapshots to return.
Filter by application ID.
Réponse OK
A list of heatmap snapshots returned by a list operation.
Expand All
Array of heatmap snapshot data objects.
Attributes of a heatmap snapshot, including view context, device information, and audit metadata.
Unique identifier of the RUM application.
Timestamp when the snapshot was created.
Display name of the user who created the snapshot.
Email handle of the user who created the snapshot.
Numeric identifier of the user who created the snapshot.
Device type used when capturing the snapshot (e.g., desktop, mobile, tablet).
Unique identifier of the RUM event associated with the snapshot.
is_device_type_selected_by_user
Indicates whether the device type was explicitly selected by the user rather than auto-detected.
Timestamp when the snapshot was last modified.
Numeric identifier of the organization that owns the snapshot.
Unique identifier of the RUM session associated with the snapshot.
Human-readable name for the snapshot.
Offset in milliseconds from the start of the session at which the snapshot was captured.
Unique identifier of the RUM view associated with the snapshot.
URL path or name of the view where the snapshot was captured.
Unique identifier of the heatmap snapshot.
Snapshots resource type.
Allowed enum values: snapshots
default: snapshots
{
"data" : [
{
"attributes" : {
"application_id" : "string" ,
"created_at" : "2019-09-19T10:00:00.000Z" ,
"created_by" : "string" ,
"created_by_handle" : "string" ,
"created_by_user_id" : "integer" ,
"device_type" : "string" ,
"event_id" : "string" ,
"is_device_type_selected_by_user" : false ,
"modified_at" : "2019-09-19T10:00:00.000Z" ,
"org_id" : "integer" ,
"session_id" : "string" ,
"snapshot_name" : "string" ,
"start" : "integer" ,
"view_id" : "string" ,
"view_name" : "string"
},
"id" : "string" ,
"type" : "snapshots"
}
]
} Too many requests
{
"errors" : [
"Bad Request"
]
} Exemple de code Copier
# Required query arguments export filter[view_name] = "/home" # Curl command curl -X GET "https://api.ap1.datadoghq.com "https://api.ap2.datadoghq.com "https://api.datadoghq.eu "https://api.ddog-gov.com "https://api.us2.ddog-gov.com "https://api.uk1.datadoghq.com "https://api.datadoghq.com "https://api.us3.datadoghq.com "https://api.us5.datadoghq.com /api/v2/replay/heatmap/snapshots ? filter[view_name] = ${filter[view_name]} " \
-H "Accept: application/json" \
-H "DD-API-KEY: ${DD_API_KEY} " \
-H "DD-APPLICATION-KEY: ${DD_APP_KEY} "
"""
List replay heatmap snapshots returns "OK" response
"""
from datadog_api_client import ApiClient , Configuration
from datadog_api_client.v2.api.rum_replay_heatmaps_api import RumReplayHeatmapsApi
configuration = Configuration ()
with ApiClient ( configuration ) as api_client :
api_instance = RumReplayHeatmapsApi ( api_client )
response = api_instance . list_replay_heatmap_snapshots (
filter_view_name = "/home" ,
)
print ( response )
Instructions First install the library and its dependencies and then save the example to example.py and run following commands:
DD_SITE = "datadoghq.com us3.datadoghq.com us5.datadoghq.com datadoghq.eu ap1.datadoghq.com ap2.datadoghq.com uk1.datadoghq.com ddog-gov.com us2.ddog-gov.com " DD_API_KEY = "<DD_API_KEY>" DD_APP_KEY = "<DD_APP_KEY>" python3 "example.py"
# List replay heatmap snapshots returns "OK" response
require "datadog_api_client"
api_instance = DatadogAPIClient :: V2 :: RumReplayHeatmapsAPI . new
p api_instance . list_replay_heatmap_snapshots ( "/home" )
Instructions First install the library and its dependencies and then save the example to example.rb and run following commands:
DD_SITE = "datadoghq.com us3.datadoghq.com us5.datadoghq.com datadoghq.eu ap1.datadoghq.com ap2.datadoghq.com uk1.datadoghq.com ddog-gov.com us2.ddog-gov.com " DD_API_KEY = "<DD_API_KEY>" DD_APP_KEY = "<DD_APP_KEY>" rb "example.rb"
// List replay heatmap snapshots returns "OK" response
package main
import (
"context"
"encoding/json"
"fmt"
"os"
"github.com/DataDog/datadog-api-client-go/v2/api/datadog"
"github.com/DataDog/datadog-api-client-go/v2/api/datadogV2"
)
func main () {
ctx := datadog . NewDefaultContext ( context . Background ())
configuration := datadog . NewConfiguration ()
apiClient := datadog . NewAPIClient ( configuration )
api := datadogV2 . NewRumReplayHeatmapsApi ( apiClient )
resp , r , err := api . ListReplayHeatmapSnapshots ( ctx , "/home" , * datadogV2 . NewListReplayHeatmapSnapshotsOptionalParameters ())
if err != nil {
fmt . Fprintf ( os . Stderr , "Error when calling `RumReplayHeatmapsApi.ListReplayHeatmapSnapshots`: %v\n" , err )
fmt . Fprintf ( os . Stderr , "Full HTTP response: %v\n" , r )
}
responseContent , _ := json . MarshalIndent ( resp , "" , " " )
fmt . Fprintf ( os . Stdout , "Response from `RumReplayHeatmapsApi.ListReplayHeatmapSnapshots`:\n%s\n" , responseContent )
}
Instructions First install the library and its dependencies and then save the example to main.go and run following commands:
DD_SITE = "datadoghq.com us3.datadoghq.com us5.datadoghq.com datadoghq.eu ap1.datadoghq.com ap2.datadoghq.com uk1.datadoghq.com ddog-gov.com us2.ddog-gov.com " DD_API_KEY = "<DD_API_KEY>" DD_APP_KEY = "<DD_APP_KEY>" go run "main.go"
// List replay heatmap snapshots returns "OK" response
import com.datadog.api.client.ApiClient ;
import com.datadog.api.client.ApiException ;
import com.datadog.api.client.v2.api.RumReplayHeatmapsApi ;
import com.datadog.api.client.v2.model.SnapshotArray ;
public class Example {
public static void main ( String [] args ) {
ApiClient defaultClient = ApiClient . getDefaultApiClient ();
RumReplayHeatmapsApi apiInstance = new RumReplayHeatmapsApi ( defaultClient );
try {
SnapshotArray result = apiInstance . listReplayHeatmapSnapshots ( "/home" );
System . out . println ( result );
} catch ( ApiException e ) {
System . err . println ( "Exception when calling RumReplayHeatmapsApi#listReplayHeatmapSnapshots" );
System . err . println ( "Status code: " + e . getCode ());
System . err . println ( "Reason: " + e . getResponseBody ());
System . err . println ( "Response headers: " + e . getResponseHeaders ());
e . printStackTrace ();
}
}
}
Instructions First install the library and its dependencies and then save the example to Example.java and run following commands:
DD_SITE = "datadoghq.com us3.datadoghq.com us5.datadoghq.com datadoghq.eu ap1.datadoghq.com ap2.datadoghq.com uk1.datadoghq.com ddog-gov.com us2.ddog-gov.com " DD_API_KEY = "<DD_API_KEY>" DD_APP_KEY = "<DD_APP_KEY>" java "Example.java"
// List replay heatmap snapshots returns "OK" response
use datadog_api_client ::datadog ;
use datadog_api_client ::datadogV2 ::api_rum_replay_heatmaps ::ListReplayHeatmapSnapshotsOptionalParams ;
use datadog_api_client ::datadogV2 ::api_rum_replay_heatmaps ::RumReplayHeatmapsAPI ;
#[tokio::main]
async fn main () {
let configuration = datadog ::Configuration ::new ();
let api = RumReplayHeatmapsAPI ::with_config ( configuration );
let resp = api
. list_replay_heatmap_snapshots (
"/home" . to_string (),
ListReplayHeatmapSnapshotsOptionalParams ::default (),
)
. await ;
if let Ok ( value ) = resp {
println! ( " {:#?} " , value );
} else {
println! ( " {:#?} " , resp . unwrap_err ());
}
}
Instructions First install the library and its dependencies and then save the example to src/main.rs and run following commands:
DD_SITE = "datadoghq.com us3.datadoghq.com us5.datadoghq.com datadoghq.eu ap1.datadoghq.com ap2.datadoghq.com uk1.datadoghq.com ddog-gov.com us2.ddog-gov.com " DD_API_KEY = "<DD_API_KEY>" DD_APP_KEY = "<DD_APP_KEY>" cargo run
/**
* List replay heatmap snapshots returns "OK" response
*/
import { client , v2 } from "@datadog/datadog-api-client" ;
const configuration = client . createConfiguration ();
const apiInstance = new v2 . RumReplayHeatmapsApi ( configuration );
const params : v2.RumReplayHeatmapsApiListReplayHeatmapSnapshotsRequest = {
filterViewName : "/home" ,
};
apiInstance
. listReplayHeatmapSnapshots ( params )
. then (( data : v2.SnapshotArray ) => {
console . log (
"API called successfully. Returned data: " + JSON . stringify ( data )
);
})
. catch (( error : any ) => console . error ( error ));
Instructions First install the library and its dependencies and then save the example to example.ts and run following commands:
DD_SITE = "datadoghq.com us3.datadoghq.com us5.datadoghq.com datadoghq.eu ap1.datadoghq.com ap2.datadoghq.com uk1.datadoghq.com ddog-gov.com us2.ddog-gov.com " DD_API_KEY = "<DD_API_KEY>" DD_APP_KEY = "<DD_APP_KEY>" tsc "example.ts"